Chromium Code Reviews
Help | Chromium Project | Sign in
(10)

Issue 2811803006: Add support for pulling icons for OfflineItems (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 weeks, 3 days ago by David Trainor-ping if over 24h
Modified:
1 week, 4 days ago
CC:
chromium-reviews, David Trainor-ping if over 24h, droger+watchlist_chromium.org, vmpstr+watch_chromium.org, Peter Beverloo, blundell+watchlist_chromium.org, sdefresne+watchlist_chromium.org, mikecase+watch_chromium.org, agrieve+watch_chromium.org, danakj+watch_chromium.org, harkness+watch_chromium.org, jbudorick+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Add support for pulling icons for OfflineItems - Add the concept of OfflineItemVisuals, which are heavyweight visual components associated with an OfflineItem. Make that API async and by request only. - Hook up the OfflineItemVisuals to the current bridge pipeline and notification system. This involves building a small cache in the bridge that handles passing these to the notification layer so that these are queried infrequently. In the future, having a unified cache mechanism would be better, but right now notifications and downloads home have very different caching characteristics. - Added support for showing the icons in notifications. There are still some jumps where the icon vanishes and reappears because we process the action before notifying native. A follow up patch should look into removing setting those notifications early. BUG=691805 Review-Url: https://codereview.chromium.org/2811803006 Cr-Commit-Position: refs/heads/master@{#465146} Committed: https://chromium.googlesource.com/chromium/src/+/cdde15e4fb35971f7008d9fadfa3192d301ac763

Patch Set 1 #

Patch Set 2 : Cleaned up the CL #

Total comments: 20

Patch Set 3 : Addressed comments #

Patch Set 4 : Fixed deps to be more accurate #

Patch Set 5 : Fixed imports #

Patch Set 6 : Fix visibility #

Patch Set 7 : Fixed test failure #

Patch Set 8 : Fix findbugs #

Patch Set 9 : More findbugs #

Unified diffs Side-by-side diffs Delta from patch set Stats (+881 lines, -179 lines) Patch
M chrome/android/java/src/org/chromium/chrome/browser/download/DownloadInfo.java View 1 2 8 chunks +19 lines, -2 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/download/DownloadNotificationService.java View 1 2 3 4 5 6 13 chunks +73 lines, -52 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/download/SystemDownloadNotifier.java View 1 chunk +6 lines, -5 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/download/items/OfflineContentAggregatorNotificationBridgeUi.java View 1 2 3 4 5 6 7 8 3 chunks +129 lines, -26 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/download/items/OfflineContentAggregatorNotificationBridgeUiFactory.java View 2 chunks +5 lines, -1 line 0 comments Download
M chrome/android/java_sources.gni View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M chrome/android/javatests/src/org/chromium/chrome/browser/download/DownloadNotificationServiceTest.java View 1 2 3 4 5 6 4 chunks +6 lines, -5 lines 0 comments Download
M chrome/android/javatests/src/org/chromium/chrome/browser/download/MockDownloadNotificationService.java View 1 2 3 4 5 6 3 chunks +8 lines, -7 lines 0 comments Download
A chrome/android/junit/src/org/chromium/chrome/browser/download/items/OfflineContentAggregatorNotificationBridgeUiTest.java View 1 2 3 4 5 6 1 chunk +334 lines, -0 lines 0 comments Download
M components/offline_items_collection/core/BUILD.gn View 1 2 3 4 4 chunks +12 lines, -3 lines 0 comments Download
M components/offline_items_collection/core/DEPS View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/offline_items_collection/core/android/java/src/org/chromium/components/offline_items_collection/OfflineContentAggregatorBridge.java View 1 2 3 4 6 chunks +32 lines, -1 line 0 comments Download
M components/offline_items_collection/core/android/java/src/org/chromium/components/offline_items_collection/OfflineContentProvider.java View 1 2 3 4 2 chunks +5 lines, -1 line 0 comments Download
M components/offline_items_collection/core/android/java/src/org/chromium/components/offline_items_collection/OfflineItem.java View 1 1 chunk +1 line, -1 line 0 comments Download
D components/offline_items_collection/core/android/java/src/org/chromium/components/offline_items_collection/OfflineItemBridge.java View 1 1 chunk +0 lines, -72 lines 0 comments Download
A components/offline_items_collection/core/android/java/src/org/chromium/components/offline_items_collection/OfflineItemVisuals.java View 1 2 3 4 5 6 7 1 chunk +21 lines, -0 lines 0 comments Download
A components/offline_items_collection/core/android/java/src/org/chromium/components/offline_items_collection/VisualsCallback.java View 1 2 3 4 5 1 chunk +19 lines, -0 lines 0 comments Download
A + components/offline_items_collection/core/android/java/src/org/chromium/components/offline_items_collection/bridges/OfflineItemBridge.java View 1 2 2 chunks +5 lines, -2 lines 0 comments Download
A components/offline_items_collection/core/android/java/src/org/chromium/components/offline_items_collection/bridges/OfflineItemVisualsBridge.java View 1 2 1 chunk +33 lines, -0 lines 0 comments Download
M components/offline_items_collection/core/android/offline_content_aggregator_bridge.h View 1 chunk +6 lines, -0 lines 0 comments Download
M components/offline_items_collection/core/android/offline_content_aggregator_bridge.cc View 4 chunks +25 lines, -0 lines 0 comments Download
A components/offline_items_collection/core/android/offline_item_visuals_bridge.h View 1 chunk +35 lines, -0 lines 0 comments Download
A components/offline_items_collection/core/android/offline_item_visuals_bridge.cc View 1 chunk +33 lines, -0 lines 0 comments Download
M components/offline_items_collection/core/offline_content_aggregator.h View 1 chunk +2 lines, -0 lines 0 comments Download
M components/offline_items_collection/core/offline_content_aggregator.cc View 1 chunk +14 lines, -0 lines 0 comments Download
M components/offline_items_collection/core/offline_content_aggregator_unittest.cc View 2 chunks +4 lines, -0 lines 0 comments Download
M components/offline_items_collection/core/offline_content_provider.h View 1 2 5 chunks +12 lines, -0 lines 0 comments Download
M components/offline_items_collection/core/offline_item.h View 1 2 2 chunks +22 lines, -0 lines 0 comments Download
M components/offline_items_collection/core/offline_item.cc View 1 chunk +5 lines, -0 lines 0 comments Download
M components/offline_items_collection/core/test_support/mock_offline_content_provider.h View 1 chunk +2 lines, -0 lines 0 comments Download
M components/offline_items_collection/core/throttled_offline_content_provider.h View 1 chunk +2 lines, -0 lines 0 comments Download
M components/offline_items_collection/core/throttled_offline_content_provider.cc View 1 chunk +6 lines, -0 lines 0 comments Download
M components/offline_items_collection/core/throttled_offline_content_provider_unittest.cc View 1 chunk +2 lines, -1 line 0 comments Download
M tools/android/eclipse/.classpath View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Depends on Patchset:

Messages

Total messages: 41 (33 generated)
David Trainor-ping if over 24h
wip
2 weeks, 3 days ago (2017-04-12 07:12:40 UTC) #1
David Trainor-ping if over 24h
2 weeks, 3 days ago (2017-04-12 20:59:55 UTC) #3
nyquist (nychthemeron ping)
lgtm! https://codereview.chromium.org/2811803006/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/download/DownloadInfo.java File chrome/android/java/src/org/chromium/chrome/browser/download/DownloadInfo.java (right): https://codereview.chromium.org/2811803006/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/download/DownloadInfo.java#newcode237 chrome/android/java/src/org/chromium/chrome/browser/download/DownloadInfo.java:237: .setIcon(visuals != null ? visuals.icon : null) Do ...
2 weeks, 2 days ago (2017-04-13 05:08:25 UTC) #4
David Trainor-ping if over 24h
https://codereview.chromium.org/2811803006/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/download/DownloadInfo.java File chrome/android/java/src/org/chromium/chrome/browser/download/DownloadInfo.java (right): https://codereview.chromium.org/2811803006/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/download/DownloadInfo.java#newcode237 chrome/android/java/src/org/chromium/chrome/browser/download/DownloadInfo.java:237: .setIcon(visuals != null ? visuals.icon : null) On 2017/04/13 ...
2 weeks, 2 days ago (2017-04-13 07:20:24 UTC) #9
David Trainor-ping if over 24h
msw@ can I get an OWNERS review for adding ui/gfx to DEPS? :)
2 weeks, 2 days ago (2017-04-13 07:26:54 UTC) #12
msw
lgtm
2 weeks, 2 days ago (2017-04-13 16:41:22 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2811803006/150001
1 week, 4 days ago (2017-04-18 05:04:54 UTC) #38
commit-bot: I haz the power
1 week, 4 days ago (2017-04-18 05:09:20 UTC) #41
Message was sent while issue was closed.
Committed patchset #9 (id:150001) as
https://chromium.googlesource.com/chromium/src/+/cdde15e4fb35971f7008d9fadfa3...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46